#pragma once

#include <string>
#include <QJsonDocument>

// This file caches the champion metadata
class ChampCache {
public:
	ChampCache();

	std::string getVersion();

	QJsonDocument getChamps();
	void saveChamps(QJsonDocument doc, const std::string& version);

private:
	std::string basefolder;
	uint64_t maxage = 86400; // is in seconds
};